/haloitsm-people | Type: Application | PCID required: Yes
Tools
haloitsm_people_create_agent
POST /Agent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"sites": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
}
}
},
"description": "The sites value"
},
"id": {
"type": "integer",
"format": "int32",
"description": "The id value"
},
"name": {
"type": "string",
"description": "The name value"
},
"onlinestatus_actual": {
"type": "integer",
"format": "int32",
"description": "Onlinestatus Actual"
},
"onlinestatus": {
"type": "integer",
"format": "int32",
"description": "The onlinestatus value"
},
"is_online": {
"type": "boolean",
"description": "Is Online"
},
"lastonline": {
"type": "string",
"description": "The lastonline value"
},
"team": {
"type": "string",
"description": "The team value"
},
"isdisabled": {
"type": "boolean",
"description": "The isdisabled value"
},
"email": {
"type": "string",
"description": "The email value"
},
"ad": {
"type": "string",
"description": "The ad value"
},
"lastlogindate": {
"type": "string",
"format": "date-time",
"description": "The lastlogindate value"
},
"agentphotopath": {
"type": "string",
"description": "The agentphotopath value"
},
"initials": {
"type": "string",
"description": "The initials value"
},
"firstname": {
"type": "string",
"description": "The firstname value"
},
"surname": {
"type": "string",
"description": "The surname value"
},
"colour": {
"type": "string",
"description": "The colour value"
},
"jobtitle": {
"type": "string",
"description": "The jobtitle value"
},
"sms": {
"type": "string",
"description": "The sms value"
},
"extensionnumber": {
"type": "string",
"description": "The extensionnumber value"
},
"ticket_count": {
"type": "integer",
"format": "int32",
"description": "Ticket Count"
},
"is_agent": {
"type": "boolean",
"description": "Is Agent"
},
"one_client": {
"type": "integer",
"format": "int32",
"description": "One Client"
},
"teams": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"team_name": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"org_department_team_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"is_manager": {
"type": "boolean"
},
"no_config_access": {
"type": "boolean"
},
"unassigned_access": {
"type": "boolean"
},
"otheragent_access": {
"type": "boolean"
},
"fortickets": {
"type": "boolean"
},
"foropps": {
"type": "boolean"
},
"forprojects": {
"type": "boolean"
},
"in_section": {
"type": "boolean"
},
"excludeautoassign": {
"type": "boolean"
},
"namewithinactive": {
"type": "string"
},
"exclude_from_team_resource_booking": {
"type": "boolean"
},
"isintegration": {
"type": "boolean"
}
}
},
"description": "The teams value"
},
"departments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"department_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"membershiplevel": {
"type": "integer"
},
"includeteamsintree": {
"type": "boolean"
}
}
},
"description": "The departments value"
},
"clients": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"client_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
}
}
},
"description": "The clients value"
},
"tickettypes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"tickettype_id": {
"type": "integer"
},
"tickettype_guid": {
"type": "string"
},
"tickettype_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"cancreate": {
"type": "boolean"
},
"canview": {
"type": "boolean"
},
"canedit": {
"type": "boolean"
},
"can_upload_attachments": {
"type": "boolean"
},
"can_view_attachments": {
"type": "boolean"
},
"can_download_attachments": {
"type": "boolean"
},
"can_edit_attachments": {
"type": "boolean"
},
"can_view_action_history": {
"type": "boolean"
},
"_warning": {
"type": "string"
}
}
},
"description": "The tickettypes value"
},
"qualifications": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"qualification_id": {
"type": "integer"
},
"qualification_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"date": {
"type": "string"
},
"_warning": {
"type": "string"
},
"enddate": {
"type": "string"
}
}
},
"description": "The qualifications value"
},
"qualification_weighting": {
"type": "integer",
"format": "int32",
"description": "Qualification Weighting"
},
"qualified": {
"type": "boolean",
"description": "The qualified value"
},
"role_list": {
"type": "string",
"description": "Role List"
},
"current_action_type": {
"type": "string",
"description": "Current Action Type"
},
"current_action_name": {
"type": "string",
"description": "Current Action Name"
},
"assettypes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"assettype_id": {
"type": "integer"
},
"assettype_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"cancreate": {
"type": "boolean"
},
"canview": {
"type": "boolean"
},
"canedit": {
"type": "boolean"
},
"_warning": {
"type": "string"
}
}
},
"description": "The assettypes value"
},
"googleemail": {
"type": "string",
"description": "The googleemail value"
},
"linemanager": {
"type": "integer",
"format": "int32",
"description": "The linemanager value"
},
"linemanager_name": {
"type": "string",
"description": "Linemanager Name"
},
"inboxes": {
"type": "integer",
"format": "int32",
"description": "The inboxes value"
},
"exchange_authorized": {
"type": "boolean",
"description": "Exchange Authorized"
},
"exchange_account": {
"type": "string",
"description": "Exchange Account"
},
"sentinel_authorized": {
"type": "boolean",
"description": "Sentinel Authorized"
},
"licence_type": {
"type": "integer",
"format": "int32",
"description": "Licence Type"
},
"named_licences_in_use": {
"type": "integer",
"format": "int32",
"description": "Named Licences In Use"
},
"concurrent_licences_in_use": {
"type": "integer",
"format": "int32",
"description": "Concurrent Licences In Use"
},
"concurrent_agent_total": {
"type": "integer",
"format": "int32",
"description": "Concurrent Agent Total"
},
"google_mail_authorized": {
"type": "boolean",
"description": "Google Mail Authorized"
},
"inbox_clientid": {
"type": "string",
"description": "Inbox Clientid"
},
"isapiagent": {
"type": "boolean",
"description": "The isapiagent value"
},
"splashtop_authorized": {
"type": "boolean",
"description": "Splashtop Authorized"
},
"gotoresolve_authorized": {
"type": "boolean",
"description": "Gotoresolve Authorized"
},
"datecreated": {
"type": "string",
"format": "date-time",
"description": "The datecreated value"
},
"password": {
"type": "string",
"description": "The password value"
},
"lunchbreak": {
"type": "number",
"format": "double",
"description": "The lunchbreak value"
},
"agentphotodata": {
"type": "string",
"description": "The agentphotodata value"
},
"pagesize": {
"type": "integer",
"format": "int32",
"description": "Number of results per page"
},
"signature": {
"type": "string",
"description": "The signature value"
},
"default_filter_id_tickets": {
"type": "integer",
"format": "int32",
"description": "Default Filter Id Tickets"
},
"default_filter_name_tickets": {
"type": "string",
"description": "Default Filter Name Tickets"
},
"default_columns_id_tickets": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Tickets"
},
"default_columns_name_tickets": {
"type": "string",
"description": "Default Columns Name Tickets"
},
"default_view_tickets": {
"type": "string",
"description": "Default View Tickets"
},
"default_view_tickets_selectedid": {
"type": "integer",
"format": "int32",
"description": "Default View Tickets Selectedid"
},
"default_view_tickets_selectedname": {
"type": "string",
"description": "Default View Tickets Selectedname"
},
"default_filter_id_opps": {
"type": "integer",
"format": "int32",
"description": "Default Filter Id Opps"
},
"default_filter_name_opps": {
"type": "string",
"description": "Default Filter Name Opps"
},
"default_columns_id_opps": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Opps"
},
"default_columns_name_opps": {
"type": "string",
"description": "Default Columns Name Opps"
},
"default_view_opps": {
"type": "string",
"description": "Default View Opps"
},
"default_view_opps_selectedid": {
"type": "integer",
"format": "int32",
"description": "Default View Opps Selectedid"
},
"default_view_opps_selectedname": {
"type": "string",
"description": "Default View Opps Selectedname"
},
"default_action_view": {
"type": "string",
"description": "Default Action View"
},
"default_action_display": {
"type": "integer",
"format": "int32",
"description": "Default Action Display"
},
"default_feed_view": {
"type": "string",
"description": "Default Feed View"
},
"ticket_preview_mode": {
"type": "integer",
"format": "int32",
"description": "Ticket Preview Mode"
},
"default_ticket_preview_size": {
"type": "integer",
"format": "int32",
"description": "Default Ticket Preview Size"
},
"tree_display_mode": {
"type": "integer",
"format": "int32",
"description": "Tree Display Mode"
},
"halo_tab_pref": {
"type": "integer",
"format": "int32",
"description": "Halo Tab Pref"
},
"list_type": {
"type": "integer",
"format": "int32",
"description": "List Type"
},
"navmenu_mode": {
"type": "integer",
"format": "int32",
"description": "Navmenu Mode"
},
"default_calendar_view": {
"type": "string",
"description": "Default Calendar View"
},
"calendar_options": {
"type": "string",
"description": "Calendar Options"
},
"search_options": {
"type": "string",
"description": "Search Options"
},
"newtabpref": {
"type": "integer",
"format": "int32",
"description": "The newtabpref value"
},
"theme": {
"type": "string",
"description": "The theme value"
},
"theme_revert": {
"type": "string",
"description": "Theme Revert"
},
"language_id": {
"type": "integer",
"format": "int32",
"description": "Language Id"
},
"language_name": {
"type": "string",
"description": "Language Name"
},
"app_colour": {
"type": "string",
"description": "App Colour"
},
"app_colour_type": {
"type": "integer",
"format": "int32",
"description": "App Colour Type"
},
"nav_colour": {
"type": "string",
"description": "Nav Colour"
},
"nav_colour_type": {
"type": "integer",
"format": "int32",
"description": "Nav Colour Type"
},
"nav_display_mode": {
"type": "integer",
"format": "int32",
"description": "Nav Display Mode"
},
"enablehighcontrast": {
"type": "boolean",
"description": "The enablehighcontrast value"
},
"actionscreen_display_type": {
"type": "integer",
"format": "int32",
"description": "Actionscreen Display Type"
},
"homescreenchartid": {
"type": "integer",
"format": "int32",
"description": "The homescreenchartid value"
},
"homescreenchartname": {
"type": "string",
"description": "The homescreenchartname value"
},
"homescreenchartpublishedid": {
"type": "string",
"description": "The homescreenchartpublishedid value"
},
"homescreendashboardid": {
"type": "integer",
"format": "int32",
"description": "The homescreendashboardid value"
},
"homescreendashboardname": {
"type": "string",
"description": "The homescreendashboardname value"
},
"sidemenudashboardid": {
"type": "integer",
"format": "int32",
"description": "The sidemenudashboardid value"
},
"sidemenudashboardname": {
"type": "string",
"description": "The sidemenudashboardname value"
},
"clientdetails_layout_id": {
"type": "integer",
"format": "int32",
"description": "Clientdetails Layout Id"
},
"clientdetails_layout_name": {
"type": "string",
"description": "Clientdetails Layout Name"
},
"nav_layout_id": {
"type": "integer",
"format": "int32",
"description": "Nav Layout Id"
},
"nav_layout_name": {
"type": "string",
"description": "Nav Layout Name"
},
"sendowneremails": {
"type": "boolean",
"description": "The sendowneremails value"
},
"warnifnoscan": {
"type": "boolean",
"description": "The warnifnoscan value"
},
"dontemailmeifiloggedit": {
"type": "boolean",
"description": "The dontemailmeifiloggedit value"
},
"workhour_start": {
"type": "number",
"format": "double",
"description": "Workhour Start"
},
"workhour_end": {
"type": "number",
"format": "double",
"description": "Workhour End"
},
"activedirectory_dn": {
"type": "string",
"description": "Activedirectory Dn"
},
"third_party_guid": {
"type": "string",
"description": "Third Party Guid"
},
"roles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"intent": {
"type": "string"
},
"chargerates": {
"type": "array"
},
"id_int": {
"type": "integer"
},
"notes": {
"type": "string"
},
"teams": {
"type": "array"
},
"departments": {
"type": "array"
},
"clients": {
"type": "array"
},
"tickettypes": {
"type": "array"
},
"assetfields": {
"type": "array"
},
"unamecustomfields": {
"type": "array"
},
"unameappointmenttypes": {
"type": "array"
},
"notifications": {
"type": "array"
},
"claims": {
"type": "array"
},
"_warning": {
"type": "string"
},
"assettypes": {
"type": "array"
},
"Oo_name": {
"type": "string"
},
"uname_usercustomfields": {
"type": "array"
},
"access_control": {
"type": "array"
},
"access_control_level": {
"type": "integer"
},
"ac_tickettypes": {
"type": "array"
},
"ac_approvals": {
"type": "array"
},
"ac_rules": {
"type": "array"
},
"ac_cannedtext": {
"type": "array"
},
"ac_customfields": {
"type": "array"
},
"ac_customtables": {
"type": "array"
},
"ac_dashboards": {
"type": "array"
},
"ac_workflows": {
"type": "array"
},
"ac_roles": {
"type": "array"
},
"ac_slas": {
"type": "array"
},
"ac_templates": {
"type": "array"
},
"ac_outcomes": {
"type": "array"
},
"ac_workdays": {
"type": "array"
},
"ac_emailtemplates": {
"type": "array"
},
"ac_messagegroups": {
"type": "array"
},
"ac_reportgroups": {
"type": "array"
},
"ac_fieldgroups": {
"type": "array"
},
"ac_languagepacks": {
"type": "array"
},
"ac_itemgroups": {
"type": "array"
},
"ac_suppliers": {
"type": "array"
},
"ac_suppliercontracts": {
"type": "array"
},
"is_integration": {
"type": "boolean"
},
"ac_assettypes": {
"type": "array"
},
"ac_assetgroups": {
"type": "array"
},
"ac_servicecategories": {
"type": "array"
},
"ac_services": {
"type": "array"
},
"ac_chatprofiles": {
"type": "array"
},
"ac_faqlists": {
"type": "array"
},
"ac_devices": {
"type": "array"
},
"sites": {
"type": "array"
},
"ac_databaselookups": {
"type": "array"
},
"ac_notifications": {
"type": "array"
},
"ac_columnprofiles": {
"type": "array"
},
"ac_lists": {
"type": "array"
},
"ac_filterprofiles": {
"type": "array"
},
"ac_webhooks": {
"type": "array"
},
"ac_customintegrations": {
"type": "array"
},
"cloned_from_id": {
"type": "string"
},
"ac_azuread": {
"type": "array"
},
"ac_pdftemplates": {
"type": "array"
},
"ac_softwareproducts": {
"type": "array"
},
"ac_assetfields": {
"type": "array"
},
"ac_folders": {
"type": "array"
},
"ac_qualifications": {
"type": "array"
},
"ac_reports": {
"type": "array"
},
"ac_datasources": {
"type": "array"
},
"ac_compositereports": {
"type": "array"
},
"new_external_link": {
"type": "object"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_additional_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"ac_custombuttons": {
"type": "array"
},
"ac_customtabs": {
"type": "array"
},
"role_cost": {
"type": "number"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"import_details_id": {
"type": "integer"
},
"_do_reassignteam01": {
"type": "boolean"
},
"check_reassign01": {
"type": "boolean"
},
"ac_dashboardtab": {
"type": "array"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"normalizedName": {
"type": "string"
},
"concurrencyStamp": {
"type": "string"
}
}
},
"description": "The roles value"
},
"add_roles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"intent": {
"type": "string"
},
"chargerates": {
"type": "array"
},
"id_int": {
"type": "integer"
},
"notes": {
"type": "string"
},
"teams": {
"type": "array"
},
"departments": {
"type": "array"
},
"clients": {
"type": "array"
},
"tickettypes": {
"type": "array"
},
"assetfields": {
"type": "array"
},
"unamecustomfields": {
"type": "array"
},
"unameappointmenttypes": {
"type": "array"
},
"notifications": {
"type": "array"
},
"claims": {
"type": "array"
},
"_warning": {
"type": "string"
},
"assettypes": {
"type": "array"
},
"Oo_name": {
"type": "string"
},
"uname_usercustomfields": {
"type": "array"
},
"access_control": {
"type": "array"
},
"access_control_level": {
"type": "integer"
},
"ac_tickettypes": {
"type": "array"
},
"ac_approvals": {
"type": "array"
},
"ac_rules": {
"type": "array"
},
"ac_cannedtext": {
"type": "array"
},
"ac_customfields": {
"type": "array"
},
"ac_customtables": {
"type": "array"
},
"ac_dashboards": {
"type": "array"
},
"ac_workflows": {
"type": "array"
},
"ac_roles": {
"type": "array"
},
"ac_slas": {
"type": "array"
},
"ac_templates": {
"type": "array"
},
"ac_outcomes": {
"type": "array"
},
"ac_workdays": {
"type": "array"
},
"ac_emailtemplates": {
"type": "array"
},
"ac_messagegroups": {
"type": "array"
},
"ac_reportgroups": {
"type": "array"
},
"ac_fieldgroups": {
"type": "array"
},
"ac_languagepacks": {
"type": "array"
},
"ac_itemgroups": {
"type": "array"
},
"ac_suppliers": {
"type": "array"
},
"ac_suppliercontracts": {
"type": "array"
},
"is_integration": {
"type": "boolean"
},
"ac_assettypes": {
"type": "array"
},
"ac_assetgroups": {
"type": "array"
},
"ac_servicecategories": {
"type": "array"
},
"ac_services": {
"type": "array"
},
"ac_chatprofiles": {
"type": "array"
},
"ac_faqlists": {
"type": "array"
},
"ac_devices": {
"type": "array"
},
"sites": {
"type": "array"
},
"ac_databaselookups": {
"type": "array"
},
"ac_notifications": {
"type": "array"
},
"ac_columnprofiles": {
"type": "array"
},
"ac_lists": {
"type": "array"
},
"ac_filterprofiles": {
"type": "array"
},
"ac_webhooks": {
"type": "array"
},
"ac_customintegrations": {
"type": "array"
},
"cloned_from_id": {
"type": "string"
},
"ac_azuread": {
"type": "array"
},
"ac_pdftemplates": {
"type": "array"
},
"ac_softwareproducts": {
"type": "array"
},
"ac_assetfields": {
"type": "array"
},
"ac_folders": {
"type": "array"
},
"ac_qualifications": {
"type": "array"
},
"ac_reports": {
"type": "array"
},
"ac_datasources": {
"type": "array"
},
"ac_compositereports": {
"type": "array"
},
"new_external_link": {
"type": "object"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_additional_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"ac_custombuttons": {
"type": "array"
},
"ac_customtabs": {
"type": "array"
},
"role_cost": {
"type": "number"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"import_details_id": {
"type": "integer"
},
"_do_reassignteam01": {
"type": "boolean"
},
"check_reassign01": {
"type": "boolean"
},
"ac_dashboardtab": {
"type": "array"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"normalizedName": {
"type": "string"
},
"concurrencyStamp": {
"type": "string"
}
}
},
"description": "Add Roles"
},
"claims": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"value": {
"type": "string"
}
}
},
"description": "The claims value"
},
"department": {
"type": "string",
"description": "The department value"
},
"_is_a_departmentmanager": {
"type": "boolean",
"description": "Is A Departmentmanager"
},
"_is_a_teammanager": {
"type": "boolean",
"description": "Is A Teammanager"
},
"access_control": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Access Control"
},
"twofactor_enabled": {
"type": "boolean",
"description": "Twofactor Enabled"
},
"_isnew": {
"type": "boolean",
"description": "The isnew value"
},
"adconnection": {
"type": "integer",
"format": "int32",
"description": "The adconnection value"
},
"useadlogin": {
"type": "integer",
"format": "int32",
"description": "The useadlogin value"
},
"container_dn": {
"type": "string",
"description": "Container Dn"
},
"notifications": {
"type": "array",
"items": {
"type": "object",
"properties": {
"guid": {
"type": "string"
},
"intent": {
"type": "string"
},
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"team_name": {
"type": "string"
},
"type": {
"type": "integer"
},
"delivery_method": {
"type": "integer"
},
"sendpushnotification": {
"type": "boolean"
},
"sendpushnotificationbrowser": {
"type": "boolean"
},
"popupinnotificationpane": {
"type": "boolean"
},
"eventno": {
"type": "integer"
},
"emailtemplate_id": {
"type": "integer"
},
"emailtemplate_guid": {
"type": "string"
},
"emailtemplate_name": {
"type": "string"
},
"user_id": {
"type": "integer"
},
"user_name": {
"type": "string"
},
"email_list": {
"type": "string"
},
"slack_id": {
"type": "integer"
},
"interval": {
"type": "number"
},
"useworkinghours": {
"type": "integer"
},
"restriction_type": {
"type": "integer"
},
"restriction_department_id": {
"type": "integer"
},
"restriction_department_guid": {
"type": "string"
},
"restriction_department_name": {
"type": "string"
},
"restriction_team_id": {
"type": "integer"
},
"restriction_team_guid": {
"type": "string"
},
"restriction_team_name": {
"type": "string"
},
"webhook_id": {
"type": "string"
},
"agents": {
"type": "array"
},
"condition_count": {
"type": "integer"
},
"subscriber_count": {
"type": "integer"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"conditions": {
"type": "array"
},
"_canupdate": {
"type": "boolean"
},
"slack_channel_name": {
"type": "string"
},
"teams_id": {
"type": "integer"
},
"teams_channel_name": {
"type": "string"
},
"value1": {
"type": "integer"
},
"value1_name": {
"type": "string"
},
"_iszapier": {
"type": "boolean"
},
"filter_sitecontact": {
"type": "boolean"
},
"sitecontact_type": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"roles": {
"type": "array"
},
"mattermost_channelid": {
"type": "integer"
},
"mattermost_channel_name": {
"type": "string"
},
"rule_id": {
"type": "integer"
},
"rule_guid": {
"type": "string"
},
"rule_name": {
"type": "string"
},
"user_roles": {
"type": "array"
},
"filter_type": {
"type": "integer"
},
"customisecolour": {
"type": "boolean"
},
"colour": {
"type": "string"
},
"access_control": {
"type": "array"
},
"access_control_level": {
"type": "integer"
},
"safe_instances": {
"type": "integer"
},
"safe_instance_list": {
"type": "array"
},
"twilio_details": {
"type": "integer"
},
"twilio_number": {
"type": "string"
},
"flow_seq": {
"type": "integer"
},
"flow_id": {
"type": "integer"
},
"outcomes": {
"type": "array"
},
"acknowledge_type": {
"type": "integer"
},
"acknowledge_complete": {
"type": "string"
},
"acknowledge_empty": {
"type": "string"
}
}
},
"description": "The notifications value"
},
"notifications_personal": {
"type": "array",
"items": {
"type": "object",
"properties": {
"guid": {
"type": "string"
},
"intent": {
"type": "string"
},
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"team_name": {
"type": "string"
},
"type": {
"type": "integer"
},
"delivery_method": {
"type": "integer"
},
"sendpushnotification": {
"type": "boolean"
},
"sendpushnotificationbrowser": {
"type": "boolean"
},
"popupinnotificationpane": {
"type": "boolean"
},
"eventno": {
"type": "integer"
},
"emailtemplate_id": {
"type": "integer"
},
"emailtemplate_guid": {
"type": "string"
},
"emailtemplate_name": {
"type": "string"
},
"user_id": {
"type": "integer"
},
"user_name": {
"type": "string"
},
"email_list": {
"type": "string"
},
"slack_id": {
"type": "integer"
},
"interval": {
"type": "number"
},
"useworkinghours": {
"type": "integer"
},
"restriction_type": {
"type": "integer"
},
"restriction_department_id": {
"type": "integer"
},
"restriction_department_guid": {
"type": "string"
},
"restriction_department_name": {
"type": "string"
},
"restriction_team_id": {
"type": "integer"
},
"restriction_team_guid": {
"type": "string"
},
"restriction_team_name": {
"type": "string"
},
"webhook_id": {
"type": "string"
},
"agents": {
"type": "array"
},
"condition_count": {
"type": "integer"
},
"subscriber_count": {
"type": "integer"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"conditions": {
"type": "array"
},
"_canupdate": {
"type": "boolean"
},
"slack_channel_name": {
"type": "string"
},
"teams_id": {
"type": "integer"
},
"teams_channel_name": {
"type": "string"
},
"value1": {
"type": "integer"
},
"value1_name": {
"type": "string"
},
"_iszapier": {
"type": "boolean"
},
"filter_sitecontact": {
"type": "boolean"
},
"sitecontact_type": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"roles": {
"type": "array"
},
"mattermost_channelid": {
"type": "integer"
},
"mattermost_channel_name": {
"type": "string"
},
"rule_id": {
"type": "integer"
},
"rule_guid": {
"type": "string"
},
"rule_name": {
"type": "string"
},
"user_roles": {
"type": "array"
},
"filter_type": {
"type": "integer"
},
"customisecolour": {
"type": "boolean"
},
"colour": {
"type": "string"
},
"access_control": {
"type": "array"
},
"access_control_level": {
"type": "integer"
},
"safe_instances": {
"type": "integer"
},
"safe_instance_list": {
"type": "array"
},
"twilio_details": {
"type": "integer"
},
"twilio_number": {
"type": "string"
},
"flow_seq": {
"type": "integer"
},
"flow_id": {
"type": "integer"
},
"outcomes": {
"type": "array"
},
"acknowledge_type": {
"type": "integer"
},
"acknowledge_complete": {
"type": "string"
},
"acknowledge_empty": {
"type": "string"
}
}
},
"description": "Notifications Personal"
},
"emailconfirmed": {
"type": "boolean",
"description": "The emailconfirmed value"
},
"accountconfirmed": {
"type": "boolean",
"description": "The accountconfirmed value"
},
"isinvite": {
"type": "boolean",
"description": "The isinvite value"
},
"is_sales": {
"type": "boolean",
"description": "Is Sales"
},
"_getlogmeinid": {
"type": "boolean",
"description": "The getlogmeinid value"
},
"_isimport": {
"type": "boolean",
"description": "The isimport value"
},
"_importtype": {
"type": "string",
"description": "The importtype value"
},
"_importtoken": {
"type": "string",
"description": "The importtoken value"
},
"beyondtrust_name": {
"type": "string",
"description": "Beyondtrust Name"
},
"azure_roleid": {
"type": "integer",
"format": "int32",
"description": "Azure Roleid"
},
"customfields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"label": {
"type": "string"
},
"summary": {
"type": "string"
},
"type": {
"type": "integer"
},
"value": {},
"value_is_password_id": {
"type": "boolean"
},
"display": {
"type": "string"
},
"characterlimit": {
"type": "integer"
},
"characterlimittype": {
"type": "integer"
},
"inputtype": {
"type": "integer"
},
"copytochild": {
"type": "boolean"
},
"copytoparent": {
"type": "boolean"
},
"searchable": {
"type": "boolean"
},
"ordervalues": {
"type": "boolean"
},
"ordervaluesby": {
"type": "integer"
},
"database_lookup_id": {
"type": "integer"
},
"database_lookup_auto": {
"type": "boolean"
},
"database_lookup_triggers": {
"type": "array"
},
"third_party_name": {
"type": "string"
},
"extratype": {
"type": "integer"
},
"copytochildonupdate": {
"type": "boolean"
},
"copytograndchildonupdate": {
"type": "boolean"
},
"copytoparentonupdate": {
"type": "boolean"
},
"hyperlink": {
"type": "string"
},
"usage": {
"type": "integer"
},
"linked_table_id": {
"type": "integer"
},
"showondetailsscreen": {
"type": "boolean"
},
"third_party_value": {
"type": "string"
},
"custom_extra_table_id": {
"type": "integer"
},
"copytorelated": {
"type": "boolean"
},
"only_validate_on_creation": {
"type": "boolean"
},
"calculation": {
"type": "string"
},
"rounding": {
"type": "integer"
},
"validation_reasons": {
"type": "array"
},
"int_value_is_display": {
"type": "boolean"
},
"regex": {
"type": "string"
},
"onlyshowforagents": {
"type": "boolean"
},
"is_horizontal": {
"type": "boolean"
},
"copied": {
"type": "boolean"
},
"isencrypted": {
"type": "boolean"
},
"max_selection": {
"type": "integer"
},
"guid": {
"type": "string"
},
"selection_field_id": {
"type": "integer"
},
"variable_format_1": {
"type": "string"
},
"variable_format_2": {
"type": "string"
},
"validation_data": {
"type": "array"
},
"database_lookup_input": {
"type": "integer"
},
"table_data_entry_type": {
"type": "integer"
},
"showintable": {
"type": "boolean"
},
"table_height": {
"type": "integer"
},
"dont_delete_rows": {
"type": "boolean"
},
"table_matching_field": {
"type": "integer"
},
"new_storage_method": {
"type": "boolean"
},
"where_sql": {
"type": "string"
},
"load_type": {
"type": "integer"
},
"add_rows": {
"type": "boolean"
},
"delete_these_rows": {
"type": "array"
},
"showinpool": {
"type": "boolean"
},
"allow_pool_override": {
"type": "boolean"
},
"details_column_group": {
"type": "integer"
},
"add_row_per_value": {
"type": "boolean"
},
"store_in_fielddata": {
"type": "boolean"
},
"first_value_default": {
"type": "boolean"
},
"copytoparentnewticket": {
"type": "boolean"
}
}
},
"description": "The customfields value"
},
"chargerates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"key1": {
"type": "integer"
},
"key1_name": {
"type": "string"
},
"key2": {
"type": "integer"
},
"key2_guid": {
"type": "string"
},
"key2_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"_warning": {
"type": "string"
}
}
},
"description": "The chargerates value"
},
"warnifnoscan_integrator": {
"type": "boolean",
"description": "Warnifnoscan Integrator"
},
"warnifnoscan_integrator_hours": {
"type": "integer",
"format": "int32",
"description": "Warnifnoscan Integrator Hours"
},
"orion_username": {
"type": "string",
"description": "Orion Username"
},
"orion_password": {
"type": "string",
"description": "Orion Password"
},
"ncentral_username": {
"type": "string",
"description": "Ncentral Username"
},
"soc_username": {
"type": "string",
"description": "Soc Username"
},
"autotaskid": {
"type": "integer",
"format": "int32",
"description": "The autotaskid value"
},
"oktaid": {
"type": "string",
"description": "The oktaid value"
},
"okta_status": {
"type": "string",
"description": "Okta Status"
},
"new_ncentral_key": {
"type": "string",
"description": "New Ncentral Key"
},
"pomincostforapprovaltype": {
"type": "integer",
"format": "int32",
"description": "The pomincostforapprovaltype value"
},
"pomincostforapproval": {
"type": "number",
"format": "double",
"description": "The pomincostforapproval value"
},
"quotemarginforapprovaltype": {
"type": "integer",
"format": "int32",
"description": "The quotemarginforapprovaltype value"
},
"quotemarginforapproval": {
"type": "number",
"format": "double",
"description": "The quotemarginforapproval value"
},
"new_orion_password": {
"type": "string",
"description": "New Orion Password"
},
"orion_access": {
"type": "boolean",
"description": "Orion Access"
},
"new_method": {
"type": "boolean",
"description": "New Method"
},
"exchange_token_expiry": {
"type": "string",
"format": "date-time",
"description": "Exchange Token Expiry"
},
"exchange_redirect": {
"type": "string",
"description": "Exchange Redirect"
},
"_getoauthtoken": {
"type": "boolean",
"description": "The getoauthtoken value"
},
"oauth_code": {
"type": "string",
"description": "Oauth Code"
},
"oauth_code_verifier": {
"type": "string",
"description": "Oauth Code Verifier"
},
"oauth_redirect": {
"type": "string",
"description": "Oauth Redirect"
},
"oauth_type": {
"type": "string",
"description": "Oauth Type"
},
"oauth_state": {
"type": "string",
"description": "Oauth State"
},
"new_access_token": {
"type": "string",
"description": "New Access Token"
},
"new_token_type": {
"type": "string",
"description": "New Token Type"
},
"new_refresh_token": {
"type": "string",
"description": "New Refresh Token"
},
"_disconnectintegration": {
"type": "string",
"description": "The disconnectintegration value"
},
"sentinel_token_expiry": {
"type": "string",
"format": "date-time",
"description": "Sentinel Token Expiry"
},
"sentinel_redirect": {
"type": "string",
"description": "Sentinel Redirect"
},
"default_columns_id_assets": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Assets"
},
"Oo_name": {
"type": "string",
"description": "Oo Name"
},
"_warning": {
"type": "string",
"description": "The warning value"
},
"isagentdetails": {
"type": "boolean",
"description": "The isagentdetails value"
},
"excludefromresourcebooking": {
"type": "boolean",
"description": "The excludefromresourcebooking value"
},
"delegation_activated": {
"type": "boolean",
"description": "Delegation Activated"
},
"delegation_timebased": {
"type": "boolean",
"description": "Delegation Timebased"
},
"delegation_start": {
"type": "string",
"format": "date-time",
"description": "Delegation Start"
},
"delegation_end": {
"type": "string",
"format": "date-time",
"description": "Delegation End"
},
"delegation_user_id": {
"type": "integer",
"format": "int32",
"description": "Delegation User Id"
},
"delegation_user_name": {
"type": "string",
"description": "Delegation User Name"
},
"_reassign_all_accounts_to_agent": {
"type": "integer",
"format": "int32",
"description": "Reassign All Accounts To Agent"
},
"_kick": {
"type": "boolean",
"description": "The kick value"
},
"_revoke_tokens": {
"type": "boolean",
"description": "Revoke Tokens"
},
"authenticatorapp_configured": {
"type": "boolean",
"description": "Authenticatorapp Configured"
},
"_revoke_authenticatorapp": {
"type": "boolean",
"description": "Revoke Authenticatorapp"
},
"ispasswordreset": {
"type": "boolean",
"description": "The ispasswordreset value"
},
"graph_host": {
"type": "string",
"description": "Graph Host"
},
"linked_halo_url": {
"type": "string",
"description": "Linked Halo Url"
},
"holiday_allowance": {
"type": "number",
"format": "double",
"description": "Holiday Allowance"
},
"agent_holiday_allowances": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"holiday_type": {
"type": "integer"
},
"allowance": {
"type": "number"
},
"remaining_allowance": {
"type": "number"
}
}
},
"description": "Agent Holiday Allowances"
},
"remaining_holiday_allowance": {
"type": "number",
"format": "double",
"description": "Remaining Holiday Allowance"
},
"_isbatch": {
"type": "boolean",
"description": "The isbatch value"
},
"import_photo": {
"type": "boolean",
"description": "Import Photo"
},
"travelrate": {
"type": "integer",
"format": "int32",
"description": "The travelrate value"
},
"github_username": {
"type": "string",
"description": "Github Username"
},
"_signature_id": {
"type": "string",
"description": "Signature Id"
},
"_signature": {
"type": "string",
"description": "The signature value"
},
"is_admin": {
"type": "boolean",
"description": "Is Admin"
},
"ac_tickettypes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Tickettypes"
},
"ac_approvals": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Approvals"
},
"ac_rules": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Rules"
},
"ac_cannedtext": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Cannedtext"
},
"ac_customfields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Customfields"
},
"ac_customtables": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Customtables"
},
"ac_dashboards": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Dashboards"
},
"ac_workflows": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Workflows"
},
"ac_roles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Roles"
},
"ac_slas": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Slas"
},
"ac_templates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Templates"
},
"ac_outcomes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Outcomes"
},
"ac_workdays": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Workdays"
},
"ac_emailtemplates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Emailtemplates"
},
"ac_messagegroups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Messagegroups"
},
"ac_reportgroups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Reportgroups"
},
"ac_fieldgroups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Fieldgroups"
},
"ac_languagepacks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Languagepacks"
},
"ac_itemgroups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Itemgroups"
},
"ac_reports": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Reports"
},
"ac_datasources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Datasources"
},
"ac_compositereports": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Compositereports"
},
"default_columns_id_clients": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Clients"
},
"default_view_clients_selectedname": {
"type": "string",
"description": "Default View Clients Selectedname"
},
"default_view_assets_selectedname": {
"type": "string",
"description": "Default View Assets Selectedname"
},
"_do_reassign01": {
"type": "boolean",
"description": "Do Reassign01"
},
"check_reassign01": {
"type": "boolean",
"description": "Check Reassign01"
},
"_do_reassignteam01": {
"type": "boolean",
"description": "Do Reassignteam01"
},
"_force": {
"type": "boolean",
"description": "The force value"
},
"default_view_customers_selectedid": {
"type": "integer",
"format": "int32",
"description": "Default View Customers Selectedid"
},
"default_view_customers_selectedname": {
"type": "string",
"description": "Default View Customers Selectedname"
},
"default_view_users_selectedid": {
"type": "integer",
"format": "int32",
"description": "Default View Users Selectedid"
},
"default_view_users_selectedname": {
"type": "string",
"description": "Default View Users Selectedname"
},
"default_columns_id_contracts": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Contracts"
},
"default_view_contracts_selectedname": {
"type": "string",
"description": "Default View Contracts Selectedname"
},
"default_columns_id_sites": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Sites"
},
"default_columns_sites_selectedname": {
"type": "string",
"description": "Default Columns Sites Selectedname"
},
"default_columns_id_users": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Users"
},
"default_columns_users_selectedname": {
"type": "string",
"description": "Default Columns Users Selectedname"
},
"pagerduty_email": {
"type": "string",
"description": "Pagerduty Email"
},
"ac_assettypes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Assettypes"
},
"ac_assetgroups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Assetgroups"
},
"ac_servicecategories": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Servicecategories"
},
"ac_services": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Services"
},
"ac_suppliers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Suppliers"
},
"ac_suppliercontracts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Suppliercontracts"
},
"last_modified": {
"type": "string",
"format": "date-time",
"description": "Last Modified"
},
"jira_instance": {
"type": "integer",
"format": "int32",
"description": "Jira Instance"
},
"jira_instance_name": {
"type": "string",
"description": "Jira Instance Name"
},
"pref_notification_sound": {
"type": "integer",
"format": "int32",
"description": "Pref Notification Sound"
},
"pref_chat_sound": {
"type": "integer",
"format": "int32",
"description": "Pref Chat Sound"
},
"default_columns_id_supplier_contracts": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Supplier Contracts"
},
"default_view_supplier_contracts_selectedname": {
"type": "string",
"description": "Default View Supplier Contracts Selectedname"
},
"default_view_assets": {
"type": "string",
"description": "Default View Assets"
},
"default_view_assets_selectedid": {
"type": "integer",
"format": "int32",
"description": "Default View Assets Selectedid"
},
"default_view_assets_selectedid_name": {
"type": "string",
"description": "Default View Assets Selectedid Name"
},
"matching_value": {
"type": "string",
"description": "Matching Value"
},
"sqlimport_id": {
"type": "integer",
"format": "int32",
"description": "Sqlimport Id"
},
"splashtop_url": {
"type": "string",
"description": "Splashtop Url"
},
"splashtop_token_expiry": {
"type": "string",
"format": "date-time",
"description": "Splashtop Token Expiry"
},
"default_splashtop_channelname": {
"type": "string",
"description": "Default Splashtop Channelname"
},
"splashtop_channel": {
"type": "object",
"description": "Splashtop Channel"
},
"ac_chatprofiles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Chatprofiles"
},
"ac_faqlists": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Faqlists"
},
"allow_automatic_call_scripts": {
"type": "boolean",
"description": "Allow Automatic Call Scripts"
},
"gotoresolve_token_expiry": {
"type": "string",
"format": "date-time",
"description": "Gotoresolve Token Expiry"
},
"ac_devices": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Devices"
},
"azure_connectionid": {
"type": "integer",
"format": "int32",
"description": "Azure Connectionid"
},
"allow_presence_notifications": {
"type": "boolean",
"description": "Allow Presence Notifications"
},
"azure_tenant_id": {
"type": "string",
"description": "Azure Tenant Id"
},
"azure_client_id": {
"type": "string",
"description": "Azure Client Id"
},
"presence_subscription": {
"type": "object",
"description": "Presence Subscription"
},
"default_columns_id_supplier": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Supplier"
},
"default_columns_supplier_selectedname": {
"type": "string",
"description": "Default Columns Supplier Selectedname"
},
"default_view_suppliers_selectedid": {
"type": "integer",
"format": "int32",
"description": "Default View Suppliers Selectedid"
},
"default_view_suppliers_selectedname": {
"type": "string",
"description": "Default View Suppliers Selectedname"
},
"linked_user_client_id": {
"type": "integer",
"format": "int32",
"description": "Linked User Client Id"
},
"contractdetails_layout_id": {
"type": "integer",
"format": "int32",
"description": "Contractdetails Layout Id"
},
"contractdetails_layout_name": {
"type": "string",
"description": "Contractdetails Layout Name"
},
"default_action_date_display": {
"type": "integer",
"format": "int32",
"description": "Default Action Date Display"
},
"signature_image": {
"type": "string",
"description": "Signature Image"
},
"exclude_from_automatic_assigning": {
"type": "boolean",
"description": "Exclude From Automatic Assigning"
},
"userdetails_layout_id": {
"type": "integer",
"format": "int32",
"description": "Userdetails Layout Id"
},
"userdetails_layout_name": {
"type": "string",
"description": "Userdetails Layout Name"
},
"guid": {
"type": "string",
"format": "uuid",
"description": "The guid value"
},
"calendar_options_multi": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
},
"label": {
"type": "string"
},
"isnew": {
"type": "boolean"
}
}
},
"description": "Calendar Options Multi"
},
"ac_databaselookups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Databaselookups"
},
"default_columns_id_pos": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Pos"
},
"default_view_pos_selectedname": {
"type": "string",
"description": "Default View Pos Selectedname"
},
"sitedetails_layout_id": {
"type": "integer",
"format": "int32",
"description": "Sitedetails Layout Id"
},
"sitedetails_layout_name": {
"type": "string",
"description": "Sitedetails Layout Name"
},
"enable_teams_shifts": {
"type": "boolean",
"description": "Enable Teams Shifts"
},
"warnif_incomplete_ts": {
"type": "boolean",
"description": "Warnif Incomplete Ts"
},
"warnif_incomplete_ts_manager": {
"type": "boolean",
"description": "Warnif Incomplete Ts Manager"
},
"incomplete_ts_threshold": {
"type": "integer",
"format": "int32",
"description": "Incomplete Ts Threshold"
},
"incomplete_ts_sendtime": {
"type": "string",
"format": "date-time",
"description": "Incomplete Ts Sendtime"
},
"incomplete_ts_lastcreated": {
"type": "string",
"format": "date-time",
"description": "Incomplete Ts Lastcreated"
},
"ac_notifications": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Notifications"
},
"load_balance_agent_limits": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"ticket_type_id": {
"type": "integer"
},
"ticket_type_name": {
"type": "string"
},
"max_tickets": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_name": {
"type": "string"
},
"_warning": {
"type": "string"
}
}
},
"description": "Load Balance Agent Limits"
},
"federated_identity_id": {
"type": "string",
"description": "Federated Identity Id"
},
"ac_columnprofiles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Columnprofiles"
},
"ac_lists": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Lists"
},
"ac_filterprofiles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Filterprofiles"
},
"new_ac_agent": {
"type": "integer",
"format": "int32",
"description": "New Ac Agent"
},
"new_ac_role": {
"type": "integer",
"format": "int32",
"description": "New Ac Role"
},
"import_details_id": {
"type": "integer",
"format": "int32",
"description": "Import Details Id"
},
"import_mapping_id": {
"type": "integer",
"format": "int32",
"description": "Import Mapping Id"
},
"new_external_link": {
"type": "object",
"description": "New External Link"
},
"_match_thirdparty_id": {
"type": "string",
"description": "Match Thirdparty Id"
},
"_match_additional_id": {
"type": "string",
"description": "Match Additional Id"
},
"_match_integration_id": {
"type": "integer",
"format": "int32",
"description": "Match Integration Id"
},
"_match_integration_name": {
"type": "string",
"description": "Match Integration Name"
},
"default_columns_id_sos": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Sos"
},
"default_view_sos_selectedname": {
"type": "string",
"description": "Default View Sos Selectedname"
},
"default_columns_id_quotes": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Quotes"
},
"default_view_quotes_selectedname": {
"type": "string",
"description": "Default View Quotes Selectedname"
},
"default_columns_id_invoices": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Invoices"
},
"default_view_invoices_selectedname": {
"type": "string",
"description": "Default View Invoices Selectedname"
},
"default_columns_id_rinvoices": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Rinvoices"
},
"default_view_rinvoices_selectedname": {
"type": "string",
"description": "Default View Rinvoices Selectedname"
},
"ac_webhooks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Webhooks"
},
"ac_customintegrations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Customintegrations"
},
"ac_azuread": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Azuread"
},
"ac_pdftemplates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Pdftemplates"
},
"ac_assetfields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Assetfields"
},
"_isclone": {
"type": "boolean",
"description": "The isclone value"
},
"orion_key_vault_secret_name": {
"type": "string",
"description": "Orion Key Vault Secret Name"
},
"gotoresolve_redirect_uri": {
"type": "string",
"description": "Gotoresolve Redirect Uri"
},
"splashtop_redirect_uri": {
"type": "string",
"description": "Splashtop Redirect Uri"
},
"agent_cost_tracking": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"start_date": {
"type": "string"
},
"end_date": {
"type": "string"
},
"cost": {
"type": "number"
},
"currency": {
"type": "integer"
},
"currency_name": {
"type": "string"
},
"currency_symbol": {
"type": "string"
}
}
},
"description": "Agent Cost Tracking"
},
"ac_softwareproducts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Softwareproducts"
},
"agent_integration_credentials": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"module_id": {
"type": "integer"
},
"details_id": {
"type": "integer"
},
"client_id": {
"type": "string"
},
"token_expiry": {
"type": "string"
},
"new_access_token": {
"type": "string"
},
"new_refresh_token": {
"type": "string"
},
"new_client_secret": {
"type": "string"
},
"details_name": {
"type": "string"
}
}
},
"description": "Agent Integration Credentials"
},
"ac_folders": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Folders"
},
"ac_qualifications": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Qualifications"
},
"contact_pref1": {
"type": "integer",
"format": "int32",
"description": "Contact Pref1"
},
"contact_pref2": {
"type": "integer",
"format": "int32",
"description": "Contact Pref2"
},
"contact_pref3": {
"type": "integer",
"format": "int32",
"description": "Contact Pref3"
},
"_is_a_teamleader": {
"type": "boolean",
"description": "Is A Teamleader"
},
"ac_custombuttons": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Custombuttons"
},
"isagentconfig": {
"type": "boolean",
"description": "The isagentconfig value"
},
"sailpoint_role_association": {
"type": "string",
"description": "Sailpoint Role Association"
},
"default_columns_id_accounts": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Accounts"
},
"default_columns_accounts_selectedname": {
"type": "string",
"description": "Default Columns Accounts Selectedname"
},
"default_columns_id_prospects": {
"type": "integer",
"format": "int32",
"description": "Default Columns Id Prospects"
},
"default_columns_prospects_selectedname": {
"type": "string",
"description": "Default Columns Prospects Selectedname"
},
"ac_customtabs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Customtabs"
},
"_disable_extra_matching": {
"type": "boolean",
"description": "Disable Extra Matching"
},
"ac_dashboardtab": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Ac Dashboardtab"
},
"use": {
"type": "string",
"description": "The use value"
},
"assetfields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"field_id": {
"type": "integer"
},
"field_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"field_type": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
}
}
},
"description": "The assetfields value"
},
"unamecustomfields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"field_id": {
"type": "integer"
},
"field_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"field_type": {
"type": "string"
},
"level": {
"type": "integer"
},
"canadd": {
"type": "boolean"
},
"candelete": {
"type": "boolean"
},
"canedit": {
"type": "boolean"
},
"customfield_type": {
"type": "integer"
},
"_warning": {
"type": "string"
}
}
},
"description": "The unamecustomfields value"
},
"unameappointmenttypes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"field_id": {
"type": "integer"
},
"field_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"field_type": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
}
}
},
"description": "The unameappointmenttypes value"
},
"_canupdate": {
"type": "boolean",
"description": "The canupdate value"
},
"_canupdate_moreinfo": {
"type": "boolean",
"description": "Canupdate Moreinfo"
},
"logmeinid": {
"type": "string",
"description": "The logmeinid value"
},
"allowbeyondtrustinvites": {
"type": "boolean",
"description": "The allowbeyondtrustinvites value"
},
"jira_id": {
"type": "string",
"description": "Jira Id"
},
"namewithinactive": {
"type": "string",
"description": "The namewithinactive value"
},
"apptsync": {
"type": "integer",
"format": "int32",
"description": "The apptsync value"
},
"okta_id": {
"type": "string",
"description": "Okta Id"
},
"sailpoint_id": {
"type": "string",
"description": "Sailpoint Id"
},
"enableshifts": {
"type": "boolean",
"description": "The enableshifts value"
},
"sendemailerrors": {
"type": "boolean",
"description": "The sendemailerrors value"
},
"uname_usercustomfields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"agent_name": {
"type": "string"
},
"field_id": {
"type": "integer"
},
"field_name": {
"type": "string"
},
"role_id": {
"type": "string"
},
"role_name": {
"type": "string"
},
"field_type": {
"type": "string"
},
"level": {
"type": "integer"
},
"canadd": {
"type": "boolean"
},
"candelete": {
"type": "boolean"
},
"canedit": {
"type": "boolean"
},
"customfield_type": {
"type": "integer"
},
"_warning": {
"type": "string"
}
}
},
"description": "Uname Usercustomfields"
},
"can_approve_purchaseorder": {
"type": "boolean",
"description": "Can Approve Purchaseorder"
},
"can_approve_quote": {
"type": "boolean",
"description": "Can Approve Quote"
},
"can_approve_invoice": {
"type": "boolean",
"description": "Can Approve Invoice"
},
"default_splashtop_channel": {
"type": "integer",
"format": "int32",
"description": "Default Splashtop Channel"
},
"workday_id": {
"type": "integer",
"format": "int32",
"description": "Workday Id"
},
"workday_name": {
"type": "string",
"description": "Workday Name"
},
"workday_timezone": {
"type": "string",
"description": "Workday Timezone"
},
"timezone": {
"type": "string",
"description": "Timezone identifier"
},
"costprice": {
"type": "number",
"format": "double",
"description": "The costprice value"
},
"chargerate": {
"type": "integer",
"format": "int32",
"description": "The chargerate value"
},
"first_role_id": {
"type": "string",
"description": "First Role Id"
},
"in_queried_team": {
"type": "boolean",
"description": "In Queried Team"
},
"guid_string": {
"type": "string",
"description": "Guid String"
},
"timesheet_approver": {
"type": "integer",
"format": "int32",
"description": "Timesheet Approver"
},
"is_member_of_all_departments": {
"type": "boolean",
"description": "Is Member Of All Departments"
}
}
},
"description": "Request body"
}
},
"required": [
"PCID"
]
}
haloitsm_people_create_client
POST /Client Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"pax8monthlyinvoice": {
"type": "integer",
"format": "int32",
"description": "The pax8monthlyinvoice value"
},
"pax8annualinvoice": {
"type": "integer",
"format": "int32",
"description": "The pax8annualinvoice value"
},
"quickbookstaxexemptionreasonid": {
"type": "integer",
"format": "int32",
"description": "The quickbookstaxexemptionreasonid value"
},
"qbo_last_updated": {
"type": "string",
"format": "date-time",
"description": "Qbo Last Updated"
},
"send_automated_invoice_reminders_after_days": {
"type": "integer",
"format": "int32",
"description": "Send Automated Invoice Reminders After Days"
},
"exclude_from_automated_invoice_reminders": {
"type": "boolean",
"description": "Exclude From Automated Invoice Reminders"
},
"id": {
"type": "integer",
"format": "int32",
"description": "The id value"
},
"name": {
"type": "string",
"description": "The name value"
},
"toplevel_id": {
"type": "integer",
"format": "int32",
"description": "Toplevel Id"
},
"toplevel_name": {
"type": "string",
"description": "Toplevel Name"
},
"inactive": {
"type": "boolean",
"description": "The inactive value"
},
"colour": {
"type": "string",
"description": "The colour value"
},
"confirmemail": {
"type": "integer",
"format": "int32",
"description": "The confirmemail value"
},
"actionemail": {
"type": "integer",
"format": "int32",
"description": "The actionemail value"
},
"clearemail": {
"type": "integer",
"format": "int32",
"description": "The clearemail value"
},
"messagegroup_id": {
"type": "integer",
"format": "int32",
"description": "Messagegroup Id"
},
"from_address_override": {
"type": "string",
"description": "From Address Override"
},
"override_org_logo": {
"type": "boolean",
"description": "Override Org Logo"
},
"override_org_name": {
"type": "string",
"description": "Override Org Name"
},
"override_org_address": {
"type": "object",
"description": "Override Org Address"
},
"override_org_phone": {
"type": "string",
"description": "Override Org Phone"
},
"override_org_email": {
"type": "string",
"description": "Override Org Email"
},
"override_org_website": {
"type": "string",
"description": "Override Org Website"
},
"override_org_portalurl": {
"type": "string",
"description": "Override Org Portalurl"
},
"mailbox_override": {
"type": "integer",
"format": "int32",
"description": "Mailbox Override"
},
"default_mailbox_id": {
"type": "integer",
"format": "int32",
"description": "Default Mailbox Id"
},
"calldate": {
"type": "string",
"format": "date-time",
"description": "The calldate value"
},
"item_tax_code": {
"type": "integer",
"format": "int32",
"description": "Item Tax Code"
},
"service_tax_code": {
"type": "integer",
"format": "int32",
"description": "Service Tax Code"
},
"prepay_tax_code": {
"type": "integer",
"format": "int32",
"description": "Prepay Tax Code"
},
"contract_tax_code": {
"type": "integer",
"format": "int32",
"description": "Contract Tax Code"
},
"customfields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"label": {
"type": "string"
},
"summary": {
"type": "string"
},
"type": {
"type": "integer"
},
"value": {},
"value_is_password_id": {
"type": "boolean"
},
"display": {
"type": "string"
},
"characterlimit": {
"type": "integer"
},
"characterlimittype": {
"type": "integer"
},
"inputtype": {
"type": "integer"
},
"copytochild": {
"type": "boolean"
},
"copytoparent": {
"type": "boolean"
},
"searchable": {
"type": "boolean"
},
"ordervalues": {
"type": "boolean"
},
"ordervaluesby": {
"type": "integer"
},
"database_lookup_id": {
"type": "integer"
},
"database_lookup_auto": {
"type": "boolean"
},
"database_lookup_triggers": {
"type": "array"
},
"third_party_name": {
"type": "string"
},
"extratype": {
"type": "integer"
},
"copytochildonupdate": {
"type": "boolean"
},
"copytograndchildonupdate": {
"type": "boolean"
},
"copytoparentonupdate": {
"type": "boolean"
},
"hyperlink": {
"type": "string"
},
"usage": {
"type": "integer"
},
"linked_table_id": {
"type": "integer"
},
"showondetailsscreen": {
"type": "boolean"
},
"third_party_value": {
"type": "string"
},
"custom_extra_table_id": {
"type": "integer"
},
"copytorelated": {
"type": "boolean"
},
"only_validate_on_creation": {
"type": "boolean"
},
"calculation": {
"type": "string"
},
"rounding": {
"type": "integer"
},
"validation_reasons": {
"type": "array"
},
"int_value_is_display": {
"type": "boolean"
},
"regex": {
"type": "string"
},
"onlyshowforagents": {
"type": "boolean"
},
"is_horizontal": {
"type": "boolean"
},
"copied": {
"type": "boolean"
},
"isencrypted": {
"type": "boolean"
},
"max_selection": {
"type": "integer"
},
"guid": {
"type": "string"
},
"selection_field_id": {
"type": "integer"
},
"variable_format_1": {
"type": "string"
},
"variable_format_2": {
"type": "string"
},
"validation_data": {
"type": "array"
},
"database_lookup_input": {
"type": "integer"
},
"table_data_entry_type": {
"type": "integer"
},
"showintable": {
"type": "boolean"
},
"table_height": {
"type": "integer"
},
"dont_delete_rows": {
"type": "boolean"
},
"table_matching_field": {
"type": "integer"
},
"new_storage_method": {
"type": "boolean"
},
"where_sql": {
"type": "string"
},
"load_type": {
"type": "integer"
},
"add_rows": {
"type": "boolean"
},
"delete_these_rows": {
"type": "array"
},
"showinpool": {
"type": "boolean"
},
"allow_pool_override": {
"type": "boolean"
},
"details_column_group": {
"type": "integer"
},
"add_row_per_value": {
"type": "boolean"
},
"store_in_fielddata": {
"type": "boolean"
},
"first_value_default": {
"type": "boolean"
},
"copytoparentnewticket": {
"type": "boolean"
}
}
},
"description": "The customfields value"
},
"custombuttons": {
"type": "array",
"items": {
"type": "object",
"properties": {
"guid": {
"type": "string"
},
"intent": {
"type": "string"
},
"id": {
"type": "integer"
},
"usage": {
"type": "integer"
},
"name": {
"type": "string"
},
"label": {
"type": "string"
},
"seq": {
"type": "integer"
},
"icon": {
"type": "string"
},
"url": {
"type": "string"
},
"newtab": {
"type": "boolean"
},
"msid": {
"type": "integer"
},
"type": {
"type": "integer"
},
"runbook_id": {
"type": "string"
},
"runbook_name": {
"type": "string"
},
"_warning": {
"type": "string"
},
"button_visibility_ac": {
"type": "integer"
},
"restrict_by_asset_status": {
"type": "boolean"
},
"button_visibility_statuses": {
"type": "array"
},
"group_visibility_conditions": {
"type": "array"
},
"access_control": {
"type": "array"
},
"access_control_level": {
"type": "integer"
},
"colour": {
"type": "string"
},
"colour_type": {
"type": "integer"
},
"disable_runbook_popup": {
"type": "boolean"
}
}
},
"description": "The custombuttons value"
},
"attachments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"third_party_id": {
"type": "string"
},
"link": {
"type": "string"
},
"content_type": {
"type": "string"
},
"last_updated": {
"type": "string"
},
"id": {
"type": "integer"
},
"filename": {
"type": "string"
},
"datecreated": {
"type": "string"
},
"note": {
"type": "string"
},
"filesize": {
"type": "integer"
},
"type": {
"type": "integer"
},
"unique_id": {
"type": "integer"
},
"desc": {
"type": "string"
},
"isimage": {
"type": "boolean"
},
"data": {
"type": "string"
},
"ticket_id": {
"type": "integer"
},
"action_id": {
"type": "integer"
},
"outcome_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"attachmentaction_id": {
"type": "integer"
},
"_canupdate": {
"type": "boolean"
},
"guid": {
"type": "string"
},
"image_upload_id": {
"type": "integer"
},
"image_upload_key": {
"type": "string"
},
"file": {
"type": "string"
},
"_enduserportalpdfprint": {
"type": "boolean"
},
"anon_outcomeid": {
"type": "integer"
},
"has_scanned": {
"type": "boolean"
},
"_warning": {
"type": "string"
},
"_is_new_version": {
"type": "boolean"
},
"parent_name": {
"type": "string"
},
"parent_desc": {
"type": "string"
},
"version_count": {
"type": "integer"
},
"_alreadyuploaded": {
"type": "boolean"
},
"copy_from_id": {
"type": "integer"
},
"new_external_link": {
"type": "object"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_additional_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"import_details_id": {
"type": "integer"
},
"external_links": {
"type": "array"
},
"access_control": {
"type": "array"
},
"_start_transcription": {
"type": "boolean"
},
"_transcription_started": {
"type": "boolean"
},
"_transcription_is_new_action": {
"type": "boolean"
},
"showforusers": {
"type": "boolean"
},
"showonchild": {
"type": "boolean"
},
"showonrelated": {
"type": "boolean"
},
"data_base64": {
"type": "string"
},
"download_url": {
"type": "string"
},
"third_party_token": {
"type": "string"
},
"already_posted": {
"type": "boolean"
},
"faultid": {
"type": "integer"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"s3url": {
"type": "string"
},
"att_link": {
"type": "string"
},
"child_count": {
"type": "integer"
},
"parent_id": {
"type": "integer"
},
"linked_version_id": {
"type": "integer"
},
"allow_anon_upload": {
"type": "boolean"
},
"tickettype_id": {
"type": "integer"
},
"tickettype_guid": {
"type": "string"
},
"validate_guid": {
"type": "string"
},
"import_parentid": {
"type": "string"
},
"folder_hierarchy": {
"type": "string"
},
"access_control_level": {
"type": "integer"
},
"is_s3": {
"type": "boolean"
}
}
},
"description": "The attachments value"
},
"site_fields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"validate": {
"type": "string"
},
"value": {},
"display": {
"type": "string"
},
"mandatory": {
"type": "boolean"
},
"showonactivity": {
"type": "boolean"
},
"lookup": {
"type": "integer"
},
"systemuse": {
"type": "integer"
},
"parenttype_id": {
"type": "integer"
},
"url": {
"type": "string"
},
"mapping_id": {
"type": "integer"
},
"access_level": {
"type": "integer"
},
"show_on_relationship_edit": {
"type": "boolean"
},
"no_change_history": {
"type": "boolean"
},
"typeinfo_id": {
"type": "integer"
},
"tab_id": {
"type": "integer"
},
"tab_name": {
"type": "string"
},
"tab_sequence": {
"type": "integer"
},
"tab_columns": {
"type": "integer"
},
"groupname": {
"type": "string"
},
"techdetail": {
"type": "integer"
},
"userdetail": {
"type": "integer"
},
"group_visibility_conditions": {
"type": "array"
},
"hint_type": {
"type": "integer"
},
"hint": {
"type": "string"
},
"extratype": {
"type": "integer"
},
"lookup_method": {
"type": "integer"
},
"load_type": {
"type": "integer"
},
"sql_connection_type": {
"type": "integer"
},
"sql_server": {
"type": "string"
},
"sql_database": {
"type": "string"
},
"sql_user": {
"type": "string"
},
"sql_certificate_id": {
"type": "integer"
},
"sqllookup": {
"type": "string"
},
"where_sql": {
"type": "string"
},
"integration_method_id": {
"type": "integer"
},
"integration_method_value": {
"type": "integer"
},
"value_property": {
"type": "string"
},
"display_property": {
"type": "string"
},
"addunknown": {
"type": "boolean"
},
"ordervalueby": {
"type": "integer"
},
"max_selection": {
"type": "integer"
},
"integration_method_value_name": {
"type": "string"
},
"sql_new_password": {
"type": "string"
},
"sqlcfvariables": {
"type": "array"
},
"require_uniqueness": {
"type": "boolean"
}
}
},
"description": "Site Fields"
},
"pritech": {
"type": "integer",
"format": "int32",
"description": "The pritech value"
},
"sectech": {
"type": "integer",
"format": "int32",
"description": "The sectech value"
},
"accountmanagertech": {
"type": "integer",
"format": "int32",
"description": "The accountmanagertech value"
},
"notes": {
"type": "string",
"description": "The notes value"
},
"thirdpartynhdapiurl": {
"type": "string",
"description": "The thirdpartynhdapiurl value"
},
"xeroid": {
"type": "string",
"description": "The xeroid value"
},
"open_ticket_count": {
"type": "integer",
"format": "int32",
"description": "Open Ticket Count"
},
"opps_ticket_count": {
"type": "integer",
"format": "int32",
"description": "Opps Ticket Count"
},
"main_site_id": {
"type": "integer",
"format": "int32",
"description": "Main Site Id"
},
"accountsemailaddress": {
"type": "string",
"description": "The accountsemailaddress value"
},
"accountsccemailaddress": {
"type": "string",
"description": "The accountsccemailaddress value"
},
"accountsfirstname": {
"type": "string",
"description": "The accountsfirstname value"
},
"accountslastname": {
"type": "string",
"description": "The accountslastname value"
},
"datecreated": {
"type": "string",
"format": "date-time",
"description": "The datecreated value"
},
"createdfrom_id": {
"type": "integer",
"format": "int32",
"description": "Createdfrom Id"
},
"announce": {
"type": "string",
"description": "The announce value"
},
"announcedate": {
"type": "string",
"format": "date-time",
"description": "The announcedate value"
},
"pritech_name": {
"type": "string",
"description": "Pritech Name"
},
"sectech_name": {
"type": "string",
"description": "Sectech Name"
},
"prinotify": {
"type": "boolean",
"description": "The prinotify value"
},
"secnotify": {
"type": "boolean",
"description": "The secnotify value"
},
"priassign": {
"type": "boolean",
"description": "The priassign value"
},
"secassign": {
"type": "boolean",
"description": "The secassign value"
},
"accountmanagertech_name": {
"type": "string",
"description": "Accountmanagertech Name"
},
"accountmanagertech_email": {
"type": "string",
"description": "Accountmanagertech Email"
},
"chargeperiod": {
"type": "integer",
"format": "int32",
"description": "The chargeperiod value"
},
"chargehours": {
"type": "number",
"format": "double",
"description": "The chargehours value"
},
"chargecarryover": {
"type": "number",
"format": "double",
"description": "The chargecarryover value"
},
"invoiceyes": {
"type": "boolean",
"description": "The invoiceyes value"
},
"fluserdef1": {
"type": "string",
"description": "The fluserdef1 value"
},
"fluserdef2": {
"type": "string",
"description": "The fluserdef2 value"
},
"fluserdef3": {
"type": "string",
"description": "The fluserdef3 value"
},
"fluserdef4": {
"type": "string",
"description": "The fluserdef4 value"
},
"fluserdef5": {
"type": "string",
"description": "The fluserdef5 value"
},
"floverride": {
"type": "boolean",
"description": "The floverride value"
},
"fluserdef1hide": {
"type": "boolean",
"description": "The fluserdef1hide value"
},
"fluserdef2hide": {
"type": "boolean",
"description": "The fluserdef2hide value"
},
"fluserdef3hide": {
"type": "boolean",
"description": "The fluserdef3hide value"
},
"fluserdef4hide": {
"type": "boolean",
"description": "The fluserdef4hide value"
},
"fluserdef5hide": {
"type": "boolean",
"description": "The fluserdef5hide value"
},
"fluserdef1mand": {
"type": "boolean",
[...]
